Debian Bug report logs - #511325
ITP: haskell-hxt -- an xml toolkit for haskell

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Bremner <bremner@unb.ca>

Date: Fri, 9 Jan 2009 15:12:02 UTC

Owned by: takaki@debian.org

Severity: wishlist

Fixed in version haskell-hxt/8.5.1-1

Done: TANIGUCHI Takaki <takaki@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#511325; Package wnpp. (Fri, 09 Jan 2009 15:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@unb.ca>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Fri, 09 Jan 2009 15:12:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@unb.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: haskell-hxt -- an xml toolkit for haskell
Date: Fri, 09 Jan 2009 11:00:25 -0400
Package: wnpp
Severity: wishlist


* Package name    : haskell-hxt
  Version         : 8.2.0
  Upstream Author : HXT Team <hxmltoolbox@fh-wedel.de>
* URL             : http://www.fh-wedel.de/~si/HXmlToolbox/
* License         : MIT
  Programming Lang: Haskell
  Description     : an xml toolkit for Haskell

>From the web site: 

The Haskell XML Toolbox bases on the ideas of HaXml and HXML, but
introduces a more general and flexible approach for processing XML
with Haskell. The Haskell XML Toolbox uses a generic data model for
representing XML documents, including the DTD subset and the document
subset, in Haskell. This data model makes it possible to use filter
functions as a uniform design of XML processing applications. The
processing filters are implemented as arrows. This is more flexible
than the filter approach from HXML and HaXml, but all filter
applications can easily be transformed into arrows.

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: amd64 (x86_64)




Owner recorded as takaki@debian.org. Request was from TANIGUCHI Takaki <takaki@debian.org> to control@bugs.debian.org. (Mon, 26 Oct 2009 08:45:25 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: haskell-hxt -- an xml toolkit for haskell' from 'RFP: haskell-hxt -- an xml toolkit for haskell' Request was from TANIGUCHI Takaki <takaki@debian.org> to control@bugs.debian.org. (Mon, 26 Oct 2009 09:09:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 07 Nov 2009 19:33:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#511325; Package wnpp. (Sat, 06 Mar 2010 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sat, 06 Mar 2010 16:42:03 GMT) Full text and rfc822 format available.

Message #16 received at 511325@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: TANIGUCHI Takaki <takaki@debian.org>
Cc: 511325@bugs.debian.org, debian-haskell@lists.debian.org
Subject: haskell-hxt?
Date: Sat, 06 Mar 2010 17:39:46 +0100
[Message part 1 (text/plain, inline)]
Dear Takakai,

the haskell-hxt ITP[1] is owned by you. It seems you uploaded a package
once, but it did not pass through NEW. Why is that so?

We really should have haskell-hxt in Debian. Some source files in
highlighting-kate are generated by a program requiring haskell-hxt,
therefore we are actually violating the DFSG by not having haskell-hxt
around.

BTW, did you see my e-Mail from February 27th?

Greetings,
Joachim


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511325

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#511325; Package wnpp. (Sun, 07 Mar 2010 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to TANIGUCHI Takaki <takaki@asis.media-as.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sun, 07 Mar 2010 02:21:03 GMT) Full text and rfc822 format available.

Message #21 received at 511325@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@asis.media-as.org>
To: Joachim Breitner <nomeata@debian.org>, 511325@bugs.debian.org
Cc: TANIGUCHI Takaki <takaki@debian.org>, debian-haskell@lists.debian.org
Subject: Re: Bug#511325: haskell-hxt?
Date: Sun, 07 Mar 2010 10:06:04 +0900
Hi Joachim,

haskell-hxt-8.3.2 was rejected by some documantations' license problems.
8.5.0 has not such problems, but 8.5.0 build-depends on
haskell-tagsoup(=0.8). I wait to upload new tagsoup.

I forget to check your previous mail. I'll read it.

>>>>> On Sat, 06 Mar 2010 17:39:46 +0100
>>>>> nomeata@debian.org(Joachim Breitner)  said:
> 
> [1  <text/plain; ISO-8859-15 (quoted-printable)>]
> Dear Takakai,
> 
> the haskell-hxt ITP[1] is owned by you. It seems you uploaded a package
> once, but it did not pass through NEW. Why is that so?
> 
> We really should have haskell-hxt in Debian. Some source files in
> highlighting-kate are generated by a program requiring haskell-hxt,
> therefore we are actually violating the DFSG by not having haskell-hxt
> around.
> 
> BTW, did you see my e-Mail from February 27th?
> 
> Greetings,
> Joachim
> 
> 
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511325
> 
> -- 
> Joachim "nomeata" Breitner
> Debian Developer
>   nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
>   JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
> [2 Dies ist ein digital signierter Nachrichtenteil <application/pgp-signature (7bit)>]
> 
--
谷口 貴紀 (TANIGUCHI Takaki)    takaki@asis.media-as.org
http://takaki-web.media-as.org/ takaki@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, takaki@debian.org:
Bug#511325; Package wnpp. (Sun, 07 Mar 2010 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, takaki@debian.org. (Sun, 07 Mar 2010 12:30:03 GMT) Full text and rfc822 format available.

Message #26 received at 511325@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: TANIGUCHI Takaki <takaki@debian.org>
Cc: 511325@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: Bug#511325: haskell-hxt?
Date: Sun, 07 Mar 2010 13:27:12 +0100
[Message part 1 (text/plain, inline)]
Hi Takaki,

Am Sonntag, den 07.03.2010, 10:06 +0900 schrieb TANIGUCHI Takaki:
> haskell-hxt-8.3.2 was rejected by some documantations' license problems.
> 8.5.0 has not such problems, but 8.5.0 build-depends on
> haskell-tagsoup(=0.8). I wait to upload new tagsoup.

tagsoup has no other revere dependencies in Debian at the moment, so I
think it can safely be updated. Feel free to do it yourself, as a member
of the DHG.

BTW, make sure you are subscribed to d-haskell, so that you don’t miss
important infos and we don’t have to CC you.

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Reply sent to TANIGUCHI Takaki <takaki@debian.org>:
You have taken responsibility. (Thu, 18 Mar 2010 12:03:06 GMT) Full text and rfc822 format available.

Notification sent to David Bremner <bremner@unb.ca>:
Bug acknowledged by developer. (Thu, 18 Mar 2010 12:03:06 GMT) Full text and rfc822 format available.

Message #31 received at 511325-close@bugs.debian.org (full text, mbox):

From: TANIGUCHI Takaki <takaki@debian.org>
To: 511325-close@bugs.debian.org
Subject: Bug#511325: fixed in haskell-hxt 8.5.1-1
Date: Thu, 18 Mar 2010 12:02:14 +0000
Source: haskell-hxt
Source-Version: 8.5.1-1

We believe that the bug you reported is fixed in the latest version of
haskell-hxt, which is due to be installed in the Debian FTP archive:

haskell-hxt_8.5.1-1.diff.gz
  to main/h/haskell-hxt/haskell-hxt_8.5.1-1.diff.gz
haskell-hxt_8.5.1-1.dsc
  to main/h/haskell-hxt/haskell-hxt_8.5.1-1.dsc
haskell-hxt_8.5.1.orig.tar.gz
  to main/h/haskell-hxt/haskell-hxt_8.5.1.orig.tar.gz
libghc6-hxt-dev_8.5.1-1_i386.deb
  to main/h/haskell-hxt/libghc6-hxt-dev_8.5.1-1_i386.deb
libghc6-hxt-doc_8.5.1-1_all.deb
  to main/h/haskell-hxt/libghc6-hxt-doc_8.5.1-1_all.deb
libghc6-hxt-prof_8.5.1-1_i386.deb
  to main/h/haskell-hxt/libghc6-hxt-prof_8.5.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511325@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
TANIGUCHI Takaki <takaki@debian.org> (supplier of updated haskell-hxt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Mar 2010 22:00:04 +0900
Source: haskell-hxt
Binary: libghc6-hxt-dev libghc6-hxt-prof libghc6-hxt-doc
Architecture: source all i386
Version: 8.5.1-1
Distribution: unstable
Urgency: low
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Changed-By: TANIGUCHI Takaki <takaki@debian.org>
Description: 
 libghc6-hxt-dev - an xml toolkit for Haskell (library)
 libghc6-hxt-doc - an xml toolkit for Haskell (documentation)
 libghc6-hxt-prof - an xml toolkit for Haskel (profiling library)l
Closes: 511325
Changes: 
 haskell-hxt (8.5.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #511325)
Checksums-Sha1: 
 4cdcdfc3c7295ea4d3c2b0ebed4f5ddd74204ce0 1481 haskell-hxt_8.5.1-1.dsc
 757466dcea305c8ff5be02ee9e169e808ece9d55 246122 haskell-hxt_8.5.1.orig.tar.gz
 8b881c56cf96248f72ffd5d717aa2aa275beb3b7 2381 haskell-hxt_8.5.1-1.diff.gz
 70aae5b0f30243af565228a186880dfa4901191d 666186 libghc6-hxt-doc_8.5.1-1_all.deb
 e7c8430c405d22dfacd9a0da6d281d0df7abb81c 4641904 libghc6-hxt-dev_8.5.1-1_i386.deb
 795be2d2419a914fe1e532f12d88ca6187c0a533 4349964 libghc6-hxt-prof_8.5.1-1_i386.deb
Checksums-Sha256: 
 cb6752b5be8ca23eb5db510cfcdda2ed9e2be5dd22c0ce75cb79e3ab161e7ceb 1481 haskell-hxt_8.5.1-1.dsc
 536816fa88bc63cee0d22a1ad324feeeb2985f2aae5b4b45a93fb95bf64d8b5e 246122 haskell-hxt_8.5.1.orig.tar.gz
 d938d0eaa214f245146bc07f3b2e8a5bf806e48673b2fcab56772adc439a0ff2 2381 haskell-hxt_8.5.1-1.diff.gz
 8dba4a1741267a9d3ecb27267bd821009c7edb1528ed97c93871c9f1a96b27b3 666186 libghc6-hxt-doc_8.5.1-1_all.deb
 6da0a1a4f0f7ddd3fd520dc112fe72684c2764154ccb046f421f95ccaebaf387 4641904 libghc6-hxt-dev_8.5.1-1_i386.deb
 7ea818c544a21bba6ed604d9e4f204946475d2aded69c3ce2303ccf0a2202e58 4349964 libghc6-hxt-prof_8.5.1-1_i386.deb
Files: 
 d60f3b0437d1cf4405a1156c1845ea94 1481 haskell optional haskell-hxt_8.5.1-1.dsc
 93b3d3b62e169207bf5339a9bf70796f 246122 haskell optional haskell-hxt_8.5.1.orig.tar.gz
 8fb4abbc6fb846900ba3fe9938fad949 2381 haskell optional haskell-hxt_8.5.1-1.diff.gz
 698274089fb02d7ce97318a25230e274 666186 doc optional libghc6-hxt-doc_8.5.1-1_all.deb
 ae34ee26aead8a1e1173cc27f32e6329 4641904 haskell optional libghc6-hxt-dev_8.5.1-1_i386.deb
 16ef89173f45ea9a37797bbb57d955f7 4349964 haskell optional libghc6-hxt-prof_8.5.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkueMsAACgkQylPx9ooVzEnbEACgp9Sw2vRuueDDL4Sr0DW+Pk8E
kT4Ani8mwMZpSArIePfubQpi8iVF7EU0
=jhoo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Apr 2010 07:33:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:33:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.